Archive a List column
Hide a private List column while retaining its values for audit.
AuthorizationBearer <token>
Signed-in user's Supabase access token. Workspace-scoped operations also require SMB-Workspace-Id.
In: header
Path Parameters
column_id*string
Match
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Format
uuidlist_id*string
Match
^list_[0-7][0-9A-HJKMNP-TV-Z]{25}$Header Parameters
Idempotency-Key*string
Length
8 <= length <= 200SMB-Workspace-Id*string
Format
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/lists/string/columns/497f6eca-6276-4993-bfeb-53cbbbba6f08/archive" \ -H "Idempotency-Key: stringst" \ -H "SMB-Workspace-Id: 497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{ "expected_version": 1 }'{ "data": { "list_id": "string", "version": 1, "column_id": "8f0515e3-00f6-4dd0-8153-321f1f40863d", "archived": true }, "request_id": "string", "action_receipt": { "receipt_id": "64d0a161-468e-472a-b00e-a06ee9ab7de7", "command_id": "7d510d78-7444-4252-aeac-9e473949661e", "operation": "archive_list_column", "workspace_id": "0967198e-ec7b-4c6b-b4d3-f71244cadbe9" }, "idempotent_replay": true}